ApiTimeSeriesEntityType (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiTimeSeriesEntityType

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiTimeSeriesEntityType

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiTimeSeriesEntityType
      extends Object

  Describe a time series entity type and attributes associated with this entity type. <p> Available since API v11.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiTimeSeriesEntityType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiTimeSeriesEntityType` | `addEntityNameFormatItem(String entityNameFormatItem)`
    `ApiTimeSeriesEntityType` | `addImmutableAttributeNamesItem(String immutableAttributeNamesItem)`
    `ApiTimeSeriesEntityType` | `addMutableAttributeNamesItem(String mutableAttributeNamesItem)`
    `ApiTimeSeriesEntityType` | `addParentMetricEntityTypeNamesItem(String parentMetricEntityTypeNamesItem)`
    `ApiTimeSeriesEntityType` | `category(String category)`
    `ApiTimeSeriesEntityType` | `description(String description)`
    `ApiTimeSeriesEntityType` | `displayName(String displayName)`
    `ApiTimeSeriesEntityType` | `entityDisplayNameFormat(String entityDisplayNameFormat)`
    `ApiTimeSeriesEntityType` | `entityNameFormat(List<String> entityNameFormat)`
    `boolean` | `equals(Object o)`
    `String` | `getCategory()` Returns the category of the entity type.
    `String` | `getDescription()` Returns the description of the entity type.
    `String` | `getDisplayName()` Returns the display name of the entity type.
    `String` | `getEntityDisplayNameFormat()` Returns a format string that will be used to construct the display name of entities of this type.
    `List<String>` | `getEntityNameFormat()` Returns a list of attribute names that will be used to construct entity names for entities of this type.
    `List<String>` | `getImmutableAttributeNames()` Returns the list of immutable attributes for this entity type.
    `List<String>` | `getMutableAttributeNames()` Returns the list of mutable attributes for this entity type.
    `String` | `getName()` Returns the name of the entity type.
    `String` | `getNameForCrossEntityAggregateMetrics()` Returns the string to use to pluralize the name of the entity for cross entity aggregate metrics.
    `List<String>` | `getParentMetricEntityTypeNames()` Returns a list of metric entity type names which are parents of this metric entity type.
    `int` | `hashCode()`
    `ApiTimeSeriesEntityType` | `immutableAttributeNames(List<String> immutableAttributeNames)`
    `ApiTimeSeriesEntityType` | `mutableAttributeNames(List<String> mutableAttributeNames)`
    `ApiTimeSeriesEntityType` | `name(String name)`
    `ApiTimeSeriesEntityType` | `nameForCrossEntityAggregateMetrics(String nameForCrossEntityAggregateMetrics)`
    `ApiTimeSeriesEntityType` | `parentMetricEntityTypeNames(List<String> parentMetricEntityTypeNames)`
    `void` | `setCategory(String category)`
    `void` | `setDescription(String description)`
    `void` | `setDisplayName(String displayName)`
    `void` | `setEntityDisplayNameFormat(String entityDisplayNameFormat)`
    `void` | `setEntityNameFormat(List<String> entityNameFormat)`
    `void` | `setImmutableAttributeNames(List<String> immutableAttributeNames)`
    `void` | `setMutableAttributeNames(List<String> mutableAttributeNames)`
    `void` | `setName(String name)`
    `void` | `setNameForCrossEntityAggregateMetrics(String nameForCrossEntityAggregateMetrics)`
    `void` | `setParentMetricEntityTypeNames(List<String> parentMetricEntityTypeNames)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiTimeSeriesEntityType

          public ApiTimeSeriesEntityType()

  - ### Method Detail

    - #### name

          public ApiTimeSeriesEntityType name(String name)

    - #### getName

          public String getName()

      Returns the name of the entity type. This name uniquely identifies this entity type.
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### category

          public ApiTimeSeriesEntityType category(String category)

    - #### getCategory

          public String getCategory()

      Returns the category of the entity type.
      Returns:
        category

    - #### setCategory

          public void setCategory(String category)

    - #### nameForCrossEntityAggregateMetrics

          public ApiTimeSeriesEntityType nameForCrossEntityAggregateMetrics(String nameForCrossEntityAggregateMetrics)

    - #### getNameForCrossEntityAggregateMetrics

          public String getNameForCrossEntityAggregateMetrics()

      Returns the string to use to pluralize the name of the entity for cross entity aggregate metrics.
      Returns:
        nameForCrossEntityAggregateMetrics

    - #### setNameForCrossEntityAggregateMetrics

          public void setNameForCrossEntityAggregateMetrics(String nameForCrossEntityAggregateMetrics)

    - #### displayName

          public ApiTimeSeriesEntityType displayName(String displayName)

    - #### getDisplayName

          public String getDisplayName()

      Returns the display name of the entity type.
      Returns:
        displayName

    - #### setDisplayName

          public void setDisplayName(String displayName)

    - #### description

          public ApiTimeSeriesEntityType description(String description)

    - #### getDescription

          public String getDescription()

      Returns the description of the entity type.
      Returns:
        description

    - #### setDescription

          public void setDescription(String description)

    - #### immutableAttributeNames

          public ApiTimeSeriesEntityType immutableAttributeNames(List<String> immutableAttributeNames)

    - #### addImmutableAttributeNamesItem

          public ApiTimeSeriesEntityType addImmutableAttributeNamesItem(String immutableAttributeNamesItem)

    - #### getImmutableAttributeNames

          public List<String> getImmutableAttributeNames()

      Returns the list of immutable attributes for this entity type. Immutable attributes values for an entity may not change over its lifetime.
      Returns:
        immutableAttributeNames

    - #### setImmutableAttributeNames

          public void setImmutableAttributeNames(List<String> immutableAttributeNames)

    - #### mutableAttributeNames

          public ApiTimeSeriesEntityType mutableAttributeNames(List<String> mutableAttributeNames)

    - #### addMutableAttributeNamesItem

          public ApiTimeSeriesEntityType addMutableAttributeNamesItem(String mutableAttributeNamesItem)

    - #### getMutableAttributeNames

          public List<String> getMutableAttributeNames()

      Returns the list of mutable attributes for this entity type. Mutable attributes for an entity may change over its lifetime.
      Returns:
        mutableAttributeNames

    - #### setMutableAttributeNames

          public void setMutableAttributeNames(List<String> mutableAttributeNames)

    - #### entityNameFormat

          public ApiTimeSeriesEntityType entityNameFormat(List<String> entityNameFormat)

    - #### addEntityNameFormatItem

          public ApiTimeSeriesEntityType addEntityNameFormatItem(String entityNameFormatItem)

    - #### getEntityNameFormat

          public List<String> getEntityNameFormat()

      Returns a list of attribute names that will be used to construct entity names for entities of this type. The attributes named here must be immutable attributes of this type or a parent type.
      Returns:
        entityNameFormat

    - #### setEntityNameFormat

          public void setEntityNameFormat(List<String> entityNameFormat)

    - #### entityDisplayNameFormat

          public ApiTimeSeriesEntityType entityDisplayNameFormat(String entityDisplayNameFormat)

    - #### getEntityDisplayNameFormat

          public String getEntityDisplayNameFormat()

      Returns a format string that will be used to construct the display name of entities of this type. If this returns null the entity name would be used as the display name. The entity attribute values are used to replace $attribute name portions of this format string. For example, an entity with roleType \"DATANODE\" and hostname \"foo.com\" will have a display name \"DATANODE (foo.com)\" if the format is \"$roleType ($hostname)\".
      Returns:
        entityDisplayNameFormat

    - #### setEntityDisplayNameFormat

          public void setEntityDisplayNameFormat(String entityDisplayNameFormat)

    - #### parentMetricEntityTypeNames

          public ApiTimeSeriesEntityType parentMetricEntityTypeNames(List<String> parentMetricEntityTypeNames)

    - #### addParentMetricEntityTypeNamesItem

          public ApiTimeSeriesEntityType addParentMetricEntityTypeNamesItem(String parentMetricEntityTypeNamesItem)

    - #### getParentMetricEntityTypeNames

          public List<String> getParentMetricEntityTypeNames()

      Returns a list of metric entity type names which are parents of this metric entity type. A metric entity type inherits the attributes of its ancestors. For example a role metric entity type has its service as a parent. A service metric entity type has a cluster as a parent. The role type inherits its cluster name attribute through its service parent. Only parent ancestors should be returned here. In the example given, only the service metric entity type should be specified in the parent list.
      Returns:
        parentMetricEntityTypeNames

    - #### setParentMetricEntityTypeNames

          public void setParentMetricEntityTypeNames(List<String> parentMetricEntityTypeNames)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.